<wo:Wrapper selectedTabId = "enseignantsvacataires" selectedItemId = "vacataires">
  <div id = "contenu">
    <fieldset style = "height:87%">
      <div class = "container">
        <!-- Titre -->
        <h2><wo:string value = "$formTitre" /></h2>
        <h3>
          <wo:string value = "$repartService.toService.enseignant.toIndividu.nomAffichage.toUpperCase" />
          <wo:string value = "$repartService.toService.enseignant.toIndividu.prenomAffichage" />
        </h3>
        <wo:conditional condition = "$modeCreation">
          <wo:conditional condition = "$modeReh" negate = "true">
            <div class = "row-fluid">
              <div class = "span12"> <wo:CktlPecheTableAP  exclureService = "$repartService.toService" enseignant = "$repartService.toService.enseignant" circuitDefinitif = "$isCircuitDefinitif" controleur = "$controleur" containerParent = "listeAPs" /> </div>
            </div>
          </wo:conditional>
        </wo:conditional>
        <div class = "row-fluid">
          	<wo:if condition = "$isModeReh">
          		<wo:conditional condition = "$modeCreation">
	          	<div class = "row-fluid">
	            	<div class = "span12"> <wo:CktlPecheTableREH controleur = "$controleur" /> </div>
	          	</div>
	          	</wo:conditional>
          	</wo:if>
          	<div class = "offset2 span8">         
            <wo:form name = "serviceForm" class = "form-horizontal left">
              <wo:if condition = "$isModeReh">
                <wo:conditional condition = "$modeCreation">
                  <div class = "control-group">
                    <label class = "control-label"> <wo:string value = "$session.localizer.ServiceForm.Composante" /> : </label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:string value = "$composanteEnCours.lcStructure" /></p>
                    </div>
                  </div>
                </wo:conditional>
                <wo:conditional condition = "$modeCreation" negate = "true">
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.reh" />&nbsp;:</label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:string value = "$editedObject.reh.libelleCourt" /></p>
                    </div>
                  </div>
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.Composante" />&nbsp;:</label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:string value = "$editedObject.toStructure.lcStructure" /></p>
                    </div>
                  </div>
                </wo:conditional>
                <wo:if condition = "$isCircuitDefinitif">
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresPrevues" />&nbsp;:</label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:CktlNumber value = "$editedObject.heuresPrevues" /></p>
                    </div>
                  </div>
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresRealisees" />&nbsp;:</label>
                    <div class = "controls">
                    <wo:AjaxObserveField updateContainerID = "heuresAPayer" action = "$majHeuresAPayer"> 
                      <wo:textfield value = "$editedObject.heuresRealisees" formatter = "$app2DecimalesFormatter" size = "20" 
                       onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" />
                       </wo:AjaxObserveField> </div>                       
                  </div>
                   <div class = "control-group">
                    <label class = "control-label"><wo:string value = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePeriode" />&nbsp;:</label>
	                  <div class = "controls">
	                   <wo:popUpButton list = "$listePeriode" item = "$currentPeriode" noSelectionString = "-"  
	                      displayString = "$currentPeriode.libelle" selection = "$editedObject.toPeriode" />
	             	  </div>
	             	</div>   
	             	<wo:AjaxUpdateContainer id = "heuresAPayer">   
	             	 <wo:if condition = "$autorisation.hasDroitUtilisationSaisieHeuresAPayer">  
						<div class = "control-group">
	                    	<label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresAPayer" />&nbsp;:</label>
	                    	<div class = "controls">
	                      		<p style = "padding-top: 5px;"><wo:textfield id = "heuresAPayer" formatter = "$app2DecimalesFormatter" value = "$editedObject.heuresAPayer" size = "11"  
                                  onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </p>
	                    	</div>
	                	</div>
	                  </wo:if>
	                </wo:AjaxUpdateContainer>
                </wo:if>
                <wo:else>
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresPrevues" />&nbsp;:</label>
                    <div class = "controls"> 
                      <wo:textfield value = "$editedObject.heuresPrevues" formatter = "$app2DecimalesFormatter" size = "20" 
                       onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </div>
                  </div>
                </wo:else>
              </wo:if>
              <wo:else>
                <wo:if condition = "$modeCreation">
                  <wo:AjaxUpdateContainer id = "listeAPs">
                    <wo:if condition = "$afficherDetailAP">
                      <div class = "control-group toppad1em">
                        <label class = "control-label"><wo:string value = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneAP" />&nbsp;:</label>
                       <div class = "controls">
                        <p><b><wo:string value = "$affichageParentAP" /></b></p>
                       </div>
                      </div>
                      <div>
                        <table style="margin-left:5em;">
                          <tr>
                            <th />
                            <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                              <th class = "param-typeap"> <wo:string value = "$currentServiceDetail.composantAP.typeAP.code" /> </th>
                            </wo:repetition>
                          </tr>                         
                          <wo:if condition = "$isCircuitDefinitif">
                            <tr>
                              <td class = "right rightpad1em"><wo:string value = "Heures maquette" />&nbsp;:</td>
                              <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                                <td class = "param-typeap"> 
                                <wo:CktlNumber value = "$nbHeuresMaquette" formatter = "$app2DecimalesFormatter" />  </td>
                              </wo:repetition>
                            </tr>
                             <tr>
                            <td class = "right rightpad1em">Reste &agrave; r&eacute;aliser&nbsp;:</td>
                            <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                              <td class = "param-typeap"> 
                                <wo:CktlNumber value = "$nbHeuresResteARealiser" size = "5" formatter = "$app2DecimalesFormatter" /> </td>
                            </wo:repetition>
                          	</tr>                          
                            <wo:if condition = "$autorisation.hasDroitUtilisationValidationParRepartiteur">
                              <tr>
                                <td class = "right rightpad1em"><wo:string value = "$session.localizer.ServiceForm.heuresRealisees" />&nbsp;:</td>
                                <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                                  <td class = "param-typeap">
                                    <wo:AjaxObserveField updateContainerID = "heuresAPayer" action = "$majHeuresAPayer"> 
                                     <wo:textfield id = "heuresRealisees" formatter = "$app2DecimalesFormatter" value = "$currentServiceDetail.heuresRealisees" size = "11" disabled = "$isNbHeuresDejaCrees" 
                                       onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </wo:AjaxObserveField>
                                  </td>
                                </wo:repetition>
                              </tr>
                              <tr>
                                <td class = "right rightpad1em"><wo:string value = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePeriode" />&nbsp;:</td>
                                <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                                  <td class = "param-typeap"> <wo:popUpButton list = "$listePeriode" item = "$currentPeriode" noSelectionString = "-" disabled = "$isNbHeuresDejaCrees" 
                                    displayString = "$currentPeriode.libelle" selection = "$currentServiceDetail.toPeriode" /></td>
                                </wo:repetition>
                              </tr>
                            </wo:if>
                            <wo:else>
                             <tr>
                               <td class = "right rightpad1em">Reste &agrave; r&eacute;partir&nbsp;:</td>
                               <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                               <td class = "param-typeap"> 
                                 <wo:CktlNumber value = "$nbHeuresResteARepartir" size = "5" formatter = "$app2DecimalesFormatter" /> </td>
                               </wo:repetition>
                              </tr>
                              <tr>
                                <td class = "right rightpad1em"><wo:string value = "$session.localizer.ServiceForm.heuresRealisees" />&nbsp;:</td>
                                <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                                  <td class = "param-typeap"> <wo:CktlNumber value = "$currentServiceDetail.heuresRealisees" size = "11" /> </td>
                                </wo:repetition>
                              </tr>
                              <tr>
                                <td class = "right rightpad1em"><wo:string value = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePeriode" />&nbsp;:</td>
                                <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                                  <td class = "param-typeap"> <wo:string value = "$currentServiceDetail.toPeriode.libelle" size = "11" 
                                    style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </td>
                                </wo:repetition>
                              </tr>
                            </wo:else>
                            <wo:AjaxUpdateContainer id = "heuresAPayer" elementName = "tr">
                              <wo:if condition = "$autorisation.hasDroitUtilisationSaisieHeuresAPayer">
                                  <td class = "right rightpad1em"><wo:string value = "$session.localizer.ServiceForm.heuresAPayer" />&nbsp;:</td>
                                  <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                                    <td class = "param-typeap"> 
                                      <wo:textfield id = "heuresAPayer" formatter = "$app2DecimalesFormatter" value = "$currentServiceDetail.heuresAPayer" size = "11" disabled = "$isNbHeuresDejaCrees" 
                                        onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </td>
                                  </wo:repetition>
                              </wo:if>
                            </wo:AjaxUpdateContainer>
                          </wo:if>
                          <wo:else>
                            <tr>
                              <td class = "right rightpad1em"><wo:string value = "Heures maquette" />&nbsp;:</td>
                              <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                                <td class = "param-typeap"> 
                                <wo:CktlNumber value = "$nbHeuresMaquette" formatter = "$app2DecimalesFormatter" />  </td>
                              </wo:repetition>
                            </tr>
                              <tr>
                               <td class = "right rightpad1em">Reste &agrave; r&eacute;partir&nbsp;:</td>
                               <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                               <td class = "param-typeap"> 
                                 <wo:CktlNumber value = "$nbHeuresResteARepartir" size = "5" formatter = "$app2DecimalesFormatter" /> </td>
                               </wo:repetition>
                              </tr>                          
                            <tr>
                              <td class = "right rightpad1em"><wo:string value = "$session.localizer.ServiceForm.heuresPrevues" />&nbsp;:</td>
                              <wo:repetition list = "$listeServiceDetail" item = "$currentServiceDetail">
                                <td class = "param-typeap"> 
                                 <wo:textfield value = "$currentServiceDetail.heuresPrevues" formatter = "$app2DecimalesFormatter" size = "11" disabled = "$isNbHeuresDejaCrees" 
                                  onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </td>
                              </wo:repetition>
                            </tr>
                          </wo:else>
                        </table>
                      </div>
                    </wo:if>
                  </wo:AjaxUpdateContainer>
                  <br/>
                </wo:if>
                <wo:if condition = "$modeCreation" negate = "true">
                  <div class = "control-group">
                    <label class = "control-label"> <wo:string value = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneAP" />
                      : </label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:string value = "$affichageAPEtParent" /></p>
                    </div>
                  </div>
                </wo:if>
              
              <wo:if condition = "$isCreationAP" negate = "true">              
                <wo:if condition = "$isCircuitDefinitif">
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "Heures maquette :" /></label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:CktlNumber value = "$heuresMaquette" /></p>
                    </div>
                  </div>
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresPrevues" />&nbsp;:</label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:CktlNumber value = "$editedObject.heuresPrevues" /></p>
                    </div>
                  </div>
                   <div class = "control-group">
                    <label class = "control-label"><wo:string value = "Reste à réaliser :" /></label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:CktlNumber value = "$heuresResteARealiser" /></p>
                    </div>
                  </div>
                  <wo:if condition = "$autorisation.hasDroitUtilisationValidationParRepartiteur">
                    <div class = "control-group">
                      <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresRealisees" />
                        : </label>
                      <div class = "controls">
                        <wo:AjaxObserveField updateContainerID = "heuresAPayer" action = "$majHeuresAPayer"> 
                         <wo:textfield id = "heuresRealisees" formatter = "$app2DecimalesFormatter" value = "$editedObject.heuresRealisees" size = "20" 
                           onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </wo:AjaxObserveField>
                      </div>
                    </div>
                    <div class = "control-group">
                      <label class = "control-label"><wo:string value = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePeriode" />
                        : </label>
                      <div class = "controls"> <wo:popUpButton list = "$listePeriode" item = "$currentPeriode" noSelectionString = "-" displayString = "$currentPeriode.libelle" 
                        selection = "$editedObject.toPeriode" /> </div>
                    </div>
                  </wo:if>
                  <wo:else>
                    <div class = "control-group">
                      <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresRealisees" />
                        : </label>
                      <div class = "controls"> <wo:CktlNumber value = "$editedObject.heuresRealisees" size = "20" /> </div>
                    </div>
                    <div class = "control-group">
                      <label class = "control-label"><wo:string value = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePeriode" />
                        : </label>
                      <div class = "controls"> <wo:string value = "$editedObject.toPeriode.libelle" size = "20" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </div>
                    </div>
                  </wo:else>
                  <wo:AjaxUpdateContainer id = "heuresAPayer">
                    <wo:if condition = "$autorisation.hasDroitUtilisationSaisieHeuresAPayer">
                      <div class = "control-group">
                        <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresAPayer" />
                          : </label>
                        <div class = "controls"> <wo:textfield id = "heuresAPayer" formatter = "$app2DecimalesFormatter" value = "$editedObject.heuresAPayer" 
                          onChange = "this.value=this.value.replace('.',',');" size = "20" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </div>
                      </div>
                    </wo:if>
                  </wo:AjaxUpdateContainer>
                </wo:if>
                <wo:else>
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "Heures maquette :" /></label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:CktlNumber value = "$heuresMaquette" /></p>
                    </div>
                  </div>
                   <div class = "control-group">
                    <label class = "control-label"><wo:string value = "Reste à répartir :" /></label>
                    <div class = "controls">
                      <p style = "padding-top: 5px;"><wo:CktlNumber value = "$heuresResteARepartir" /></p>
                    </div>
                  </div>
                  <div class = "control-group">
                    <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.heuresPrevues" />&nbsp;:</label>
                    <div class = "controls"> <wo:textfield value = "$editedObject.heuresPrevues" formatter = "$app2DecimalesFormatter" size = "20" 
                     onChange = "this.value=this.value.replace('.',',');" style = "border-color:#BBD2E1; background-color: #F5FFFA" /> </div>
                  </div>
                </wo:else>
              </wo:if>
              </wo:else>
              <div class = "control-group">
                <label class = "control-label"><wo:string value = "$session.localizer.ServiceForm.commentaire" /> : </label>
                <div class = "controls"> <wo:text value = "$editedObject.commentaire" cols = "22" style = "border-color:#BBD2E1; background-color: #F5FFFA" /></div>
              </div>
              <center>
                <wo:CktlSubmitButton type = "validate" text = "$session.localizer.application.boutonEnregistrer" action = "$enregistrerEtRetour" 
                  updateContainerID = "$nouveauServiceContainerId" showBusyImage = "true" />
                <wo:if condition = "$modeCreation">
	              <wo:CktlSubmitButton type = "validate" action = "$enregistrerEtPoursuivre" text = "$session.localizer.application.boutonEnregistrerEtPoursuivre" />
	            </wo:if>
                <wo:CktlSubmitButton type = "cancel" text = "$session.localizer.application.boutonAnnuler" action = "$annuler" 
                  updateContainerID = "$nouveauServiceContainerId" showBusyImage = "true" />
              </center>
            </wo:form>
          </div>
        </div>
      </div>
    </fieldset>
  </div>
</wo:Wrapper>